<html>
<head>
<title>Ogre::GLFrameBufferObject Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLFrameBufferObject.html">GLFrameBufferObject</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLFrameBufferObject Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLFrameBufferObject" -->
<p>Frame Buffer Object abstraction.  
 <a href="classOgre_1_1GLFrameBufferObject.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>&gt;</code></p>

<p><a href="classOgre_1_1GLFrameBufferObject-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a71c8e029eb1d12e499c296965a4caa37">GLFrameBufferObject</a> (<a class="el" href="classOgre_1_1GLFBOManager.html">GLFBOManager</a> *manager, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a47d1c8c32e0495c70efcc4fb9cb47148">~GLFrameBufferObject</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a3ee1db9becd0194385398405692ea997">bindSurface</a> (size_t attachment, const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;target)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind a surface to a certain attachment point.  <a href="#a3ee1db9becd0194385398405692ea997"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a1234a3e0637c364e8b74ca917aa59d1b">unbindSurface</a> (size_t attachment)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unbind attachment.  <a href="#a1234a3e0637c364e8b74ca917aa59d1b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#ad2d7df2d3c89d4a0556f38c8c017862d">bind</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind FrameBufferObject.  <a href="#ad2d7df2d3c89d4a0556f38c8c017862d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a448144de8f3426530c69114302d44a2a">swapBuffers</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Swap buffers - only useful when using multisample buffers.  <a href="#a448144de8f3426530c69114302d44a2a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a53101a02f9fa110f7cea958b9b496d87">attachDepthBuffer</a> (<a class="el" href="classOgre_1_1DepthBuffer.html">DepthBuffer</a> *depthBuffer)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This function acts very similar to.  <a href="#a53101a02f9fa110f7cea958b9b496d87"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a280721226167982dda935bdf473c856b">detachDepthBuffer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a16709c5ce9ec817f88f24bda6696191b">getGLFBOID</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the GL id for the FBO.  <a href="#a16709c5ce9ec817f88f24bda6696191b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a5379d2d582c3055f5232d2219b921111">getGLMultisampleFBOID</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the GL id for the multisample FBO.  <a href="#a5379d2d582c3055f5232d2219b921111"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#acc89c0dcd232e73152c4224dc028f04a">getWidth</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Accessors.  <a href="#acc89c0dcd232e73152c4224dc028f04a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#aa76cf1e7a06d052e8b44b9e067798447">getHeight</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#aa7dc042eaba5721ff710ee0ba64142cd">getFormat</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLsizei&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a481d6773f901c3d0c832318583f46a5e">getFSAA</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLFBOManager.html">GLFBOManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a937228d22ea15178d39887da988365c3">getManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a7a241ec56436d27faa640e1631443b21">getSurface</a> (size_t attachment)</td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#acec5b1eccb12945696f1761c1d1b7ab9">initialise</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise object (find suitable depth and stencil format).  <a href="#acec5b1eccb12945696f1761c1d1b7ab9"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLFBOManager.html">GLFBOManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a72f41ff431192df59ee00d6b53c7221b">mManager</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLsizei&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a2e2945449d763b22d6b5c4957104ceb5">mNumSamples</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#ae3bef8435636336be593676d53e5fdb9">mFB</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a2c16c481cd35b1aede28fdc107351205">mMultisampleFB</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a56fa38c3d712915bb4f9caed7244bc00">mMultisampleColourBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#ae47df9aefb647389e52270c84ad92601">mDepth</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a24f661a94d4596ff341783002c7374db">mStencil</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a01912f83bbfdcdfd7a595fca804228e4">mColour</a> [<a class="el" href="OgreConfig_8h.html#a1555343fe7aade0966aa442f2e0c16f5">OGRE_MAX_MULTIPLE_RENDER_TARGETS</a>]</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Frame Buffer Object abstraction. </p>

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00038">38</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a71c8e029eb1d12e499c296965a4caa37"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::GLFrameBufferObject" ref="a71c8e029eb1d12e499c296965a4caa37" args="(GLFBOManager *manager, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a71c8e029eb1d12e499c296965a4caa37">Ogre::GLFrameBufferObject::GLFrameBufferObject</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLFBOManager.html">GLFBOManager</a> *&#160;</td>
          <td class="paramname"><em>manager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a47d1c8c32e0495c70efcc4fb9cb47148"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::~GLFrameBufferObject" ref="a47d1c8c32e0495c70efcc4fb9cb47148" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a47d1c8c32e0495c70efcc4fb9cb47148">Ogre::GLFrameBufferObject::~GLFrameBufferObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a53101a02f9fa110f7cea958b9b496d87"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::attachDepthBuffer" ref="a53101a02f9fa110f7cea958b9b496d87" args="(DepthBuffer *depthBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a53101a02f9fa110f7cea958b9b496d87">Ogre::GLFrameBufferObject::attachDepthBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1DepthBuffer.html">DepthBuffer</a> *&#160;</td>
          <td class="paramname"><em>depthBuffer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This function acts very similar to. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1GLFBORenderTexture.html#ae2c8b0b6af923ea680a151c768368cbc" title="Override so we can attach the depth buffer to the FBO.">GLFBORenderTexture::attachDepthBuffer</a> The difference between D3D &amp; OGL is that D3D setups the <a class="el" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a> before rendering, while OGL setups the <a class="el" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a> per FBO. So the <a class="el" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a> (RenderBuffer) needs to be attached for OGL. </dd></dl>

</div>
</div>
<a class="anchor" id="ad2d7df2d3c89d4a0556f38c8c017862d"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::bind" ref="ad2d7df2d3c89d4a0556f38c8c017862d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFrameBufferObject.html#ad2d7df2d3c89d4a0556f38c8c017862d">Ogre::GLFrameBufferObject::bind</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bind FrameBufferObject. </p>

</div>
</div>
<a class="anchor" id="a3ee1db9becd0194385398405692ea997"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::bindSurface" ref="a3ee1db9becd0194385398405692ea997" args="(size_t attachment, const GLSurfaceDesc &amp;target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a3ee1db9becd0194385398405692ea997">Ogre::GLFrameBufferObject::bindSurface</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>attachment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>target</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bind a surface to a certain attachment point. </p>
<p>attachment: 0..OGRE_MAX_MULTIPLE_RENDER_TARGETS-1 </p>

</div>
</div>
<a class="anchor" id="a280721226167982dda935bdf473c856b"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::detachDepthBuffer" ref="a280721226167982dda935bdf473c856b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a280721226167982dda935bdf473c856b">Ogre::GLFrameBufferObject::detachDepthBuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa7dc042eaba5721ff710ee0ba64142cd"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::getFormat" ref="aa7dc042eaba5721ff710ee0ba64142cd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1GLFrameBufferObject.html#aa7dc042eaba5721ff710ee0ba64142cd">Ogre::GLFrameBufferObject::getFormat</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a481d6773f901c3d0c832318583f46a5e"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::getFSAA" ref="a481d6773f901c3d0c832318583f46a5e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLsizei <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a481d6773f901c3d0c832318583f46a5e">Ogre::GLFrameBufferObject::getFSAA</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a16709c5ce9ec817f88f24bda6696191b"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::getGLFBOID" ref="a16709c5ce9ec817f88f24bda6696191b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a16709c5ce9ec817f88f24bda6696191b">Ogre::GLFrameBufferObject::getGLFBOID</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the GL id for the FBO. </p>

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00069">69</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5379d2d582c3055f5232d2219b921111"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::getGLMultisampleFBOID" ref="a5379d2d582c3055f5232d2219b921111" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a5379d2d582c3055f5232d2219b921111">Ogre::GLFrameBufferObject::getGLMultisampleFBOID</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the GL id for the multisample FBO. </p>

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00071">71</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa76cf1e7a06d052e8b44b9e067798447"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::getHeight" ref="aa76cf1e7a06d052e8b44b9e067798447" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLFrameBufferObject.html#aa76cf1e7a06d052e8b44b9e067798447">Ogre::GLFrameBufferObject::getHeight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a937228d22ea15178d39887da988365c3"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::getManager" ref="a937228d22ea15178d39887da988365c3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLFBOManager.html">GLFBOManager</a>* <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a937228d22ea15178d39887da988365c3">Ogre::GLFrameBufferObject::getManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00079">79</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7a241ec56436d27faa640e1631443b21"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::getSurface" ref="a7a241ec56436d27faa640e1631443b21" args="(size_t attachment)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a>&amp; <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a7a241ec56436d27faa640e1631443b21">Ogre::GLFrameBufferObject::getSurface</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>attachment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00080">80</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acc89c0dcd232e73152c4224dc028f04a"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::getWidth" ref="acc89c0dcd232e73152c4224dc028f04a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLFrameBufferObject.html#acc89c0dcd232e73152c4224dc028f04a">Ogre::GLFrameBufferObject::getWidth</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Accessors. </p>

</div>
</div>
<a class="anchor" id="acec5b1eccb12945696f1761c1d1b7ab9"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::initialise" ref="acec5b1eccb12945696f1761c1d1b7ab9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFrameBufferObject.html#acec5b1eccb12945696f1761c1d1b7ab9">Ogre::GLFrameBufferObject::initialise</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialise object (find suitable depth and stencil format). </p>
<p>Must be called every time the bindings change. It fails with an exception (ERR_INVALIDPARAMS) if:</p>
<ul>
<li>Attachment point 0 has no binding</li>
<li>Not all bound surfaces have the same size</li>
<li>Not all bound surfaces have the same internal format </li>
</ul>

</div>
</div>
<a class="anchor" id="a448144de8f3426530c69114302d44a2a"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::swapBuffers" ref="a448144de8f3426530c69114302d44a2a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a448144de8f3426530c69114302d44a2a">Ogre::GLFrameBufferObject::swapBuffers</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Swap buffers - only useful when using multisample buffers. </p>

</div>
</div>
<a class="anchor" id="a1234a3e0637c364e8b74ca917aa59d1b"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::unbindSurface" ref="a1234a3e0637c364e8b74ca917aa59d1b" args="(size_t attachment)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a1234a3e0637c364e8b74ca917aa59d1b">Ogre::GLFrameBufferObject::unbindSurface</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>attachment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unbind attachment. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a01912f83bbfdcdfd7a595fca804228e4"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::mColour" ref="a01912f83bbfdcdfd7a595fca804228e4" args="[OGRE_MAX_MULTIPLE_RENDER_TARGETS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a01912f83bbfdcdfd7a595fca804228e4">Ogre::GLFrameBufferObject::mColour</a>[<a class="el" href="OgreConfig_8h.html#a1555343fe7aade0966aa442f2e0c16f5">OGRE_MAX_MULTIPLE_RENDER_TARGETS</a>]<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae47df9aefb647389e52270c84ad92601"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::mDepth" ref="ae47df9aefb647389e52270c84ad92601" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> <a class="el" href="classOgre_1_1GLFrameBufferObject.html#ae47df9aefb647389e52270c84ad92601">Ogre::GLFrameBufferObject::mDepth</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00087">87</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae3bef8435636336be593676d53e5fdb9"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::mFB" ref="ae3bef8435636336be593676d53e5fdb9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLFrameBufferObject.html#ae3bef8435636336be593676d53e5fdb9">Ogre::GLFrameBufferObject::mFB</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00084">84</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a72f41ff431192df59ee00d6b53c7221b"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::mManager" ref="a72f41ff431192df59ee00d6b53c7221b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLFBOManager.html">GLFBOManager</a>* <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a72f41ff431192df59ee00d6b53c7221b">Ogre::GLFrameBufferObject::mManager</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00082">82</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a56fa38c3d712915bb4f9caed7244bc00"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::mMultisampleColourBuffer" ref="a56fa38c3d712915bb4f9caed7244bc00" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a56fa38c3d712915bb4f9caed7244bc00">Ogre::GLFrameBufferObject::mMultisampleColourBuffer</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00086">86</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2c16c481cd35b1aede28fdc107351205"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::mMultisampleFB" ref="a2c16c481cd35b1aede28fdc107351205" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a2c16c481cd35b1aede28fdc107351205">Ogre::GLFrameBufferObject::mMultisampleFB</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2e2945449d763b22d6b5c4957104ceb5"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::mNumSamples" ref="a2e2945449d763b22d6b5c4957104ceb5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLsizei <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a2e2945449d763b22d6b5c4957104ceb5">Ogre::GLFrameBufferObject::mNumSamples</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00083">83</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a24f661a94d4596ff341783002c7374db"></a><!-- doxytag: member="Ogre::GLFrameBufferObject::mStencil" ref="a24f661a94d4596ff341783002c7374db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> <a class="el" href="classOgre_1_1GLFrameBufferObject.html#a24f661a94d4596ff341783002c7374db">Ogre::GLFrameBufferObject::mStencil</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFrameBufferObject_8h_source.html#l00088">88</a> of file <a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:18
</p>
</body>
</html>
